Name: imp
Version: 3.2.5
Release: alt1

Summary: The Internet Messaging Program: webmail access to IMAP/POP3 accounts.
License: GPL
Group: Networking/Mail
URL: http://www.horde.org/

Source: %name-%version.tar.bz2
Source1: %name.conf
BuildArchitectures: noarch

Requires: php >= 4.2.1
Requires: mod_php
Requires: php-imap >= 4.2.1
Requires: pear >= 1.3.1
Requires: horde >= 2.0
# apache-devel needed for %apache* macroses
# perl-DBI needed to make find-requires happy
BuildPreReq: apache-devel perl-DBI

%description
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.

%prep
%setup -q -n %name-%version

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir
%__cp %SOURCE1 %buildroot%apache_addonconfdir
%__mkdir_p %buildroot%apache_htdocsdir/addon-modules/horde/%name
%__cp -pR * %buildroot%apache_htdocsdir/addon-modules/horde/%name
%__chmod go-rwx %buildroot%apache_htdocsdir/addon-modules/horde/%name/test.php
cd %buildroot%apache_htdocsdir/addon-modules/horde/%name/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%pre

%post
# post-install instructions:
if ! grep -q "^Include conf/addon-modules/imp.conf" %apache_conf; then
    echo "Include conf/addon-modules/imp.conf" >> %apache_conf
    /sbin/service httpd condrestart
fi

cat <<_EOF_
You must manually configure IMP!
See "CONFIGURING IMP" in %apache_htdocsdir/addon-modules/horde/%name/docs/INSTALL
_EOF_

%postun
if [ $1 -eq 0 ]; then
	[ -f %apache_conf ] &&
		%__subst "/Include conf\/addon-modules\/imp.conf/d" %apache_conf
		/sbin/service httpd condrestart
fi

%files
# Apache imp.conf file
%config(noreplace) %apache_addonconfdir/imp.conf
%dir %apache_htdocsdir/addon-modules/horde/imp
# Include top-level files by hand
%apache_htdocsdir/addon-modules/horde/imp/*.php
%apache_htdocsdir/addon-modules/horde/imp/download
%apache_htdocsdir/addon-modules/horde/imp/graphics
%apache_htdocsdir/addon-modules/horde/imp/lib
%apache_htdocsdir/addon-modules/horde/imp/locale
%apache_htdocsdir/addon-modules/horde/imp/po
%apache_htdocsdir/addon-modules/horde/imp/scripts
%apache_htdocsdir/addon-modules/horde/imp/templates
# Mark documentation files with %doc and %docdir
%doc %apache_htdocsdir/addon-modules/horde/imp/COPYING
%doc %apache_htdocsdir/addon-modules/horde/imp/README
%docdir %apache_htdocsdir/addon-modules/horde/imp/docs
%apache_htdocsdir/addon-modules/horde/imp/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%apache_group) %dir %apache_htdocsdir/addon-modules/horde/imp/config
%defattr(640,root,%apache_group)
%apache_htdocsdir/addon-modules/horde/imp/config/.htaccess
%apache_htdocsdir/addon-modules/horde/imp/config/*.dist
%config(noreplace) %apache_htdocsdir/addon-modules/horde/imp/config/*.php
%config(noreplace) %apache_htdocsdir/addon-modules/horde/imp/config/*.txt

%changelog
* Fri Jul 30 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2.5-alt1
- 3.2.5 (security fix again: Close an XSS hole in the HTML viewer)

* Tue Jun 08 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2.4-alt1
- 3.2.4 (security fixes: Close an XSS hole exploited via the Content-type
  header of malicious emails)
- added tag 'noreplace' for important config files

* Mon Apr 05 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2.3-alt1
- initial release for Sisyphus

